Deprecation of TLSv1.0

Our ongoing commitment to securing your hosting, Carbon Hosting has deprecated support for TLS v1.0 PCI standards require that TLS 1.0 can no longer be used for secure communications. All web servers and clients must transition to TLS 1.1 or above. All hosting accounts have free SSL certificates as standard (Lets Encrypt) Emails must use ... Read More »

27th Jul 2018
Fraud Detection

We have implemented a fraud detection system. If you trigger the detection system you will need to verify via SMS.

14th Jun 2017